: Class XMLPageBuilder

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.ui
Class XMLPageBuilder

    java.lang.Object
      |
      +--grendel.ui.XMLWidgetBuilder
            |
            +--grendel.ui.XMLPageBuilder

public class XMLPageBuilder
extends XMLWidgetBuilder

Build a panel from an XML data source.

Fields inherited from class grendel.ui.XMLWidgetBuilder
`properties, ref`

Constructor Summary
`XMLPageBuilder(java.lang.String attr, java.lang.String id, PageModel model)` Build a menu builder which operates on XML formatted data

Method Summary
`protected javax.swing.JButton` | `buildButton(org.w3c.dom.Element current)`
`protected javax.swing.JCheckBox` | `buildCheckBox(org.w3c.dom.Element current)`
`protected javax.swing.JComponent` | `buildComponent(org.w3c.dom.Element current)`
`protected java.awt.GridBagConstraints` | `buildConstraints(org.w3c.dom.Element current)` Build a constraint from the element's details.
`javax.swing.JComponent` | `buildFrom(org.w3c.dom.Element element)` Build a page from this element.
`javax.swing.JComponent` | `buildFrom(java.io.InputStream stream)` Read the input stream and build a menubar from it
`protected javax.swing.JLabel` | `buildLabel(org.w3c.dom.Element current)`
`protected javax.swing.JList` | `buildList(org.w3c.dom.Element current)`
`PageUI` | `buildPanel(org.w3c.dom.Element element)` Build a panel.
`protected javax.swing.JPasswordField` | `buildPasswordField(org.w3c.dom.Element current)`
`protected javax.swing.JRadioButton` | `buildRadioButton(org.w3c.dom.Element current)`
`protected javax.swing.JTextField` | `buildTextField(org.w3c.dom.Element current)`
`javax.swing.JPanel` | `getComponent()`
`java.lang.String` | `getTitle()`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class grendel.ui.XMLWidgetBuilder
`getReferencedLabel, setConfiguration, setReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLPageBuilder

    public XMLPageBuilder(java.lang.String attr,
                          java.lang.String id,
                          PageModel model)

  Build a menu builder which operates on XML formatted data
  Parameters:
    `attr` - attribute
    `id` - the value of the attribute to have a match
    `model` - the page model for the page to be created

Method Detail

### buildFrom

    public javax.swing.JComponent buildFrom(java.io.InputStream stream)

  Read the input stream and build a menubar from it
  Parameters:
    `stream` - the stream containing the XML data

### buildFrom

    public javax.swing.JComponent buildFrom(org.w3c.dom.Element element)

  Build a page from this element.
  Parameters:
    `element` - figure it out you twit
  Returns:
    the component built

### buildPanel

    public PageUI buildPanel(org.w3c.dom.Element element)

  Build a panel.
  Parameters:
    `element` - the panel element
  Returns:
    the panel object as a PageUI type

### buildConstraints

    protected java.awt.GridBagConstraints buildConstraints(org.w3c.dom.Element current)

  Build a constraint from the element's details.
  Parameters:
    `current` - the XML element containing constraint information.
  Returns:
    extracted constraints

### buildComponent

    protected javax.swing.JComponent buildComponent(org.w3c.dom.Element current)

### buildPasswordField

    protected javax.swing.JPasswordField buildPasswordField(org.w3c.dom.Element current)

### buildTextField

    protected javax.swing.JTextField buildTextField(org.w3c.dom.Element current)

### buildRadioButton

    protected javax.swing.JRadioButton buildRadioButton(org.w3c.dom.Element current)

### buildCheckBox

    protected javax.swing.JCheckBox buildCheckBox(org.w3c.dom.Element current)

### buildButton

    protected javax.swing.JButton buildButton(org.w3c.dom.Element current)

### buildList

    protected javax.swing.JList buildList(org.w3c.dom.Element current)

### buildLabel

    protected javax.swing.JLabel buildLabel(org.w3c.dom.Element current)

### getComponent

    public javax.swing.JPanel getComponent()

### getTitle

    public java.lang.String getTitle()

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD